Loading...
Searching...
No Matches
mce::Application Class Reference

Main application class managing multiple game instances. More...

`#include <Application.hpp>`

Inheritance diagram for mce::Application:

## Public Member Functions

| Application ()
| Default constructor.
virtual int | run () override
| Starts the application.

## Detailed Description

Main application class managing multiple game instances.

This class serves as the main core of the program. It manages multiple instances of Minecraft, allowing the game to run across multiple windows or monitors. Each instance can represent a different player profile, providing multi-profile gameplay without relying on splitscreen.

Note
  Each instance is independent and can be configured separately.

Todo
  Implement instance management and window/multi-monitor support.

## Constructor & Destructor Documentation

## Application()

mce::Application::Application | ( |  | ) |

Default constructor.

Initializes the application and prepares the instance manager.

## Member Function Documentation

## run()

int mce::Application::run | ( |  | ) |

overridevirtual

Starts the application.

Launches all managed game instances and handles the main loop.

Implements Startup.

The documentation for this class was generated from the following files:

- Minecraft-Community-Edition/Application.hpp
- Minecraft-Community-Edition/Application.cpp